//: Playground - noun: a place where people can play

import UIKit

/*providing a value when you create a constant or variable lets the compiler infer its type. In the example below the compiler infers the 'myvariable' is an integer because its initial value it's an integer.*/

let implicitInteger = 70

let implicitDouble = 70.0

/* if the initial value doesn't provide enough information (or it is not provided), specify the tyoe by writing it after the variable, separated by a colon */

let explicitDouble: Double = 70


let label = "the width is "

let width = 5

let labelWidth = label + String(width)



let apples = 5

let bananas = 3

let allapples = "I have \(apples) apples" //another way of changing an integer into a string

let allfruits = "I have \(apples + bananas) apples and bananas"


let myString = "this is a String although there is a number as "

let myNumber: Float = 24.5

let mySentence = myString + String(myNumber)

let mySentence = myString "\(myNumber)"












